﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 684A: (1 year) VER IEEE /9500/1100+4Hd
DATE:                  2017-03-27 07:40:46
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       253
CONFIGURATION:         Datron 9500 (C5,G1)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        Tektronix TDS 684A, TDS 744A, & TDS 784A Digitizing Oscilloscope
#        Service Manual, Part No. 070-8992-03
#
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         1GH                          1V             LS    S  L
  1.004  M9500                       CH2
  1.005  9500         1GH                          1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         1GH                          1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         1GH                          1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V

  1.012  IF           NOT(VERSIONCHECK("7.3.38"))
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Guardbanding & Ver Method

  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         20 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         UUT IDENTIFICATION
  1.021  TARGET
  1.022  CALL         Sub TDS500/600/700 Setup IEEE
  1.023  IEEE2        *RST;DESE 61
  1.024  WAIT         -t 4 System Initializing ...

  1.025  MATH         @UUT_Manufacturer  = "TEKTRONIX"
  1.026  MATH         @UUT_Model         = "TDS 684A"
  1.027  MATH         @UUT_AssetNum      = UUT()

  1.028  IF           NOT(EMPTY(@UUT_AssetNum))
  1.029  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.030  ENDIF

  1.031  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.033  JMPL         END                          @Abort

  1.034  HEAD         EQUIPMENT REQUIREMENTS
  1.035  OPBR         -z Do you want to REVIEW the list of additional
  1.035  OPBR         equipment and/or accessories required?

  1.036  IF           MEM1
  1.037  DISP         The following additional equipment and/or accessories
  1.037  DISP         are required:
  1.037  DISP
  1.037  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.037  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.037  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.037  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.037  DISP         - Dual Input Coupler (BNC)
  1.037  DISP         - 50 Ohm Feedthrough (BNC)
  1.038  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DC OFFSET(CH1)                     DC OFFSET(CH1)
#    4.   DC OFFSET(CH2)                     DC OFFSET(CH2)
#    5.   DC OFFSET(CH3)                     DC OFFSET(CH3)
#    6.   DC OFFSET(CH4)                     DC OFFSET(CH4)
#    7.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    8.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    9.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#   10.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#   11.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#   12.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#   13.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   14.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   15.   CHANNEL DELAY                      SAMPLE RATE AND DELAY TIME ACC
#   16.   SAMPLE RATE AND DELAY TIME ACC     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   17.   TIME ACC OF PULSE WIDTH TRIG(CH1)  EDGE-TRIGGER SENSITIVITY(CH1)
#   18.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH2)
#   19.   AUX TRIG IN SENSITIVITY (CH1)      EDGE-TRIGGER SENSITIVITY(CH3)
#   20.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH4)
#   21.   EDGE-TRIGGER SENSITIVITY(CH3)      AUX TRIG IN SENSITIVITY (CH1)
#   22.   EDGE-TRIGGER SENSITIVITY(CH4)      CHANNEL DELAY
#   23.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   24.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.039  CALL         Sub TDS600A Specifications
  1.040  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.041  JMPL         END                          @Abort
  1.042  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.043  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.044  MATH         @SourceChanNum = 4

# Specify channel to test.
  1.045  MATH         @Chan = 1
  1.046  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.047  MATH         @Chan = 2
  1.048  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.049  MATH         @Chan = 3
  1.050  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.051  MATH         @Chan = 4
  1.052  CALL         Sub TDS600A (1 yr) DC Offset IEEE

  1.053  MATH         @Chan = 1
  1.054  M9500                       CH1
  1.055  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /9500
  1.056  MATH         @Chan = 2
  1.057  M9500                       CH2
  1.058  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /9500
  1.059  MATH         @Chan = 3
  1.060  M9500                       CH3
  1.061  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /9500
  1.062  MATH         @Chan = 4
  1.063  M9500                       CH4
  1.064  CALL         Sub TDS684A (1 yr) DCV Meas Acc IEEE /9500

  1.065  MATH         @Chan = 1
  1.066  M9500                       CH1
  1.067  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9500/1100
  1.068  MATH         @Chan = 2
  1.069  M9500                       CH2
  1.070  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9500/1100
  1.071  MATH         @Chan = 3
  1.072  M9500                       CH3
  1.073  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9500/1100
  1.074  MATH         @Chan = 4
  1.075  M9500                       CH4
  1.076  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9500/1100
  1.077  JMPL         TIMEBASE_TRIGGER

  1.078  LABEL        DELAY_MATCH
  1.079  MATH         @Chan = 1
  1.080  M9500                       CH1
  1.081  CALL         Sub TDS600A (1 yr) Delay Match IEEE /9500
  1.082  JMPL         OUTPUT_SIGNAL

  1.083  LABEL        TIMEBASE_TRIGGER
  1.084  MATH         @Chan = 1
  1.085  M9500                       CH1
  1.086  CALL         Sub TDS600A (1 yr) Time Base IEEE /9500
  1.087  CALL         Sub TDS600A (1 yr) Trig Time Acc IEEE /9500

  1.088  MATH         @Chan = 1
  1.089  M9500                       CH1
  1.090  CALL         Sub TDS600A (1 yr) Sens IEEE /9500/1100
 # If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.091  OPBR         -z Each channel trig sensitivity test will take about
  1.091  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.091  OPBR         channels to save time, unless desired.
  1.091  OPBR
  1.091  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.091  OPBR         3, and 4?
  1.092  MATH         @TestCh234Sens = MEM1
  1.093  JMPL         MAIN_TRIG_SENS_CH2

  1.094  LABEL        AUX_TRIG_IN
  1.095  MATH         @Chan = 1
  1.096  M9500                       CH14
  1.097  CALL         Sub TDS600A (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.098  JMPL         DELAY_MATCH

  1.099  LABEL        MAIN_TRIG_SENS_CH2

  1.100  IF           @TestCh234Sens
  1.101  MATH         Time = 3 * @OptChSensTime
  1.102  DISP         The next routine operator intervention occurs
  1.102  DISP         in approximately [V Time] minutes...
  1.103  MATH         @Chan = 2
  1.104  M9500                       CH2
  1.105  CALL         Sub TDS600A (1 yr) Sens IEEE /9500/1100
  1.106  MATH         @Chan = 3
  1.107  M9500                       CH3
  1.108  CALL         Sub TDS600A (1 yr) Sens IEEE /9500/1100
  1.109  MATH         @Chan = 4
  1.110  M9500                       CH4
  1.111  CALL         Sub TDS600A (1 yr) Sens IEEE /9500/1100
  1.112  ENDIF

  1.113  JMPL         AUX_TRIG_IN

  1.114  LABEL        OUTPUT_SIGNAL
  1.115  M9500                       CH1
  1.116  CALL         Sub TDS600A (1 yr) Output Signal IEEE /9500
  1.117  M9500                       CH1
  1.118  CALL         Sub TDS600A (1 yr) Probe Comp IEEE /9500

  1.119  LABEL        END
  1.120  IEEE2        *RST;DESE 61

  1.121  IF           @Abort
  1.122  DISP         V E R I F I C A T I O N   A B O R T E D
  1.123  ELSE
  1.124  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.125  ENDIF

  1.126  END
